Skip to content

Retrieve a content snippet

Request

You can fetch a single content snippet by its id.

Security
bearerAuth
Path
idstringrequired

The unique identifier for the content snippet.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X GET \
  https://api.intercom.io/content_snippets/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

Successful response

Bodyapplication/json
typestring

String representing the object's type. Always has the value content_snippet.

Example:"content_snippet"
idstring

The unique identifier for the content snippet.

Example:"123"
titlestring or null

The title of the content snippet.

Example:"How to reset your password"
localestring

The locale of the content snippet.

Example:"en"
json_blocksArray of objects

The content blocks that make up the body of the snippet.

Example:
[ { "type": "paragraph", "text": "Navigate to Settings > Security > Reset password." } ]
body_markdownstring or null

The body of the content snippet in markdown.

Example:"# How to reset your password\n\nNavigate to Settings > Security > Reset password.\n"
ai_chatbot_availabilityboolean

Whether the content snippet is available for AI Chatbot (Fin).

Example:true
ai_copilot_availabilityboolean

Whether the content snippet is available for AI Copilot.

Example:true
ai_sales_agent_availabilityboolean

Whether the content snippet is available for AI Sales Agent.

Example:true
created_atinteger

The time the snippet was created as a UNIX timestamp.

Example:1663597223
updated_atinteger

The time the snippet was last updated as a UNIX timestamp.

Example:1663597223
audience_idsArray of integers or null

The list of audience IDs this content snippet is targeted to for Fin AI Agent. Empty array means no audience targeting is set.

Example:
[ 1, 2 ]
chatbot_availabilityintegerdeprecated

Deprecated. Use ai_chatbot_availability instead. Whether this snippet is available for Fin (1 = on, 0 = off).

Example:1
copilot_availabilityintegerdeprecated

Deprecated. Use ai_copilot_availability instead. Whether this snippet is available for Copilot (1 = on, 0 = off).

Example:1
Response
{ "type": "content_snippet", "id": "123", "title": "How to reset your password", "locale": "en", "json_blocks": [ {} ], "body_markdown": "# How to reset your password\n\nNavigate to Settings > Security > Reset password.\n", "chatbot_availability": 1, "copilot_availability": 1, "ai_chatbot_availability": true, "ai_copilot_availability": true, "ai_sales_agent_availability": true, "created_at": 1663597223, "updated_at": 1663597223, "audience_ids": [ 1, 2 ] }